GET /files/{file_id}/comments

box.com

Summary: List file comments
Operation ID: get_files_id_comments
Auth: unknown
Description

Retrieves a list of comments for a file.

Parameters (4)

fields (array, query, optional)

A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response. Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.

file_id (string, path, required)

The unique identifier that represents a file. The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL `https://*.app.box.com/files/123` the `file_id` is `123`.

limit (integer, query, optional)

The maximum number of items to return per page.

Constraints: {'maximum': 1000}

offset (integer, query, optional, default: 0)

The offset of the item at which to begin the response. Queries with offset parameter value exceeding 10000 will be rejected with a 400 response.

No probe data for this endpoint yet.